View Issue Details

IDProjectCategoryView StatusLast Update
0002804Composrcore_abstract_interfacespublic2017-06-07 17:14
ReporterPatrick SchmalstigAssigned To 
Severityfeature 
Status non-assignedResolutionopen 
Product Version 
Fixed in Version 
Summary0002804: More intuitive edit screens
Description[This builds on 0000416 (mass-move/mass-delete) and 0000786 (drag and drop re-ordering).]

Redesign the "choose what to edit" screens.

Ideally each of these screens would be openable up in 2 modes:
1) Columned table with pagination
2) List with no pagination *OR* Tree-list with no pagination [if tree-based category structure present]

CRUD modules already support these 2 alternative modes, but it currently chooses the best. Ideally we'd allow the user to switch between them.
Some non-CRUD modules may only provide flat lists right now and would get enhanced too.

On the tabular view, when someone clicks the "edit" link of an item, have Javascript load the form for that item under the item listing (in between all the items). And then when a user saves or cancels editing, it will shrink and disappear so the user is back to just the list. Bottom line, avoid full page requests and loads as much as possible.

As appropriate re-design mass-move/mass-delete/re-order functionality to be really tidy with a new design conceived to optimise showing all the different management features neatly.

We can remove any documentation we have (tips? FAQ?) about saying you need to go into edit to delete content. Now it would be more obvious.
TagsType: Cross-cutting feature, Type: Usability (major)
Attach Tags
Time estimation (hours)35
Sponsorship open

Relationships

related to 0000305 non-assigned Faster admin navigation 
related to 0002955 non-assigned Improved list selection UIs 
related to 0001455 non-assigned Slicker Comcode page management UI 
parent of 0000416 non-assigned Mass move / delete 
parent of 0000786 non-assigned Drag and Drop reordering 
Not all the children of this issue are yet resolved or closed.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2016-08-29 14:22 Patrick Schmalstig New Issue
2016-08-29 14:23 Patrick Schmalstig Relationship added parent of 0000416
2016-08-29 14:24 Patrick Schmalstig Relationship added related to 0000205
2016-08-29 14:24 Patrick Schmalstig Relationship deleted related to 0000205
2016-08-29 14:25 Patrick Schmalstig Relationship added related to 0000305
2016-08-29 14:26 Patrick Schmalstig Relationship added parent of 0000786
2016-09-05 18:44 Chris Graham Time estimation (hours) => 35
2016-12-08 12:49 Chris Graham Tag Attached: Type: Usability
2016-12-08 12:50 Chris Graham Tag Renamed Type: Usability => Type: Usability (major)
2017-05-01 14:51 Chris Graham Description Updated View Revisions
2017-05-01 14:53 Chris Graham Relationship added related to 0002955
2017-05-01 15:56 Chris Graham Tag Attached: Type: Cross-cutting feature
2017-06-07 17:14 Chris Graham Relationship added related to 0001455